Main Page Modules Class Hierarchy Alphabetical List Compound List File List Compound Members

# SoElapsedTime Class Reference
[Engine classes]

The SoElapsedTime class is a controllable time source engine. More...

`#include <Inventor/engines/SoElapsedTime.h>`

Inheritance diagram for SoElapsedTime:

List of all members.

## Public Methods
| SoElapsedTime (void)
## Static Public Methods
void | initClass (void)
## Public Attributes
SoSFTime | timeIn
SoSFFloat | speed
SoSFBool | on
SoSFBool | pause
SoSFTrigger | reset
SoEngineOutput | timeOut
## Protected Methods
| ~SoElapsedTime ()
virtual void | writeInstance (SoOutput *out)

## Detailed Description

The SoElapsedTime class is a controllable time source engine.

The additional functionality provided by this engine versus just connecting to the realTime global field is the ability to control the speed of the time source plus logic to reset, stop and restart it.

See also:
  SoTimeCounter

## Constructor & Destructor Documentation

SoElapsedTime::SoElapsedTime | ( | void |  | ) |

| Default constructor.

SoElapsedTime::~SoElapsedTime | ( |  | ) | `[protected]`

| Destructor.

## Member Function Documentation

void SoElapsedTime::initClass | ( | void |  | ) | `[static]`

| Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system. Reimplemented from SoEngine.

void SoElapsedTime::writeInstance | ( | SoOutput * | out | ) | `[protected, virtual]`

| Writes all the fields contained in this instance to the output stream within out. Reimplemented from SoEngine.

## Member Data Documentation

SoSFTime SoElapsedTime::timeIn

| Input time value. Default connected to the global realTime field.

SoSFFloat SoElapsedTime::speed

| Decides how fast the timer should run, measured versus "real time" from the timeIn field. Default value is 1.0. A negative value makes the time go backward.

SoSFBool SoElapsedTime::on

| Shuts timer on and off. Will restart at the same position.

SoSFBool SoElapsedTime::pause

| Shuts timer on and off. Will restart at the position it would have been if not paused (i.e. doesn't "lose time").

SoSFTrigger SoElapsedTime::reset

| Restart timer at 0.

SoEngineOutput SoElapsedTime::timeOut

| (SoSFTime) Output time value. Starts at 0.

The documentation for this class was generated from the following files:

- SoElapsedTime.h
- SoElapsedTime.cpp